using SoftwareInstallationDataModels.Enums;
using SoftwareInstallationDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SoftwareInstallationContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        [DisplayName("Номер")]
        public int Id { get; set; }
        public int? ImplementerId { get; set; }
        [DisplayName("Изделие")]
        public int PackageId { get; set; }

        [DisplayName("Клиент")]
        public int ClientId { get; set; }

        [DisplayName("ФИО клиента")] 
        public string ClientFIO { get; set; } = string.Empty;

        [DisplayName("ФИО исполнителя")]      
        public string ImplementerFIO { get; set; } = string.Empty;

        [DisplayName("Изделия")]
        public string PackageName { get; set; } = string.Empty;

        [DisplayName("Количество")]
        public int Count { get; set; }

        [DisplayName("Сумма")]
        public double Sum { get; set; }

        [DisplayName("Статус")]
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;
        [DisplayName("Дата создания")]
        public DateTime DateCreate { get; set; } = DateTime.Now;
        [DisplayName("Дата выполнения")]
        public DateTime? DateImplement { get; set; }
    }
}
